Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SponsoredMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SponsoredMessage

Enclosing class:
  TdApi

public static final class TdApi.SponsoredMessage extends TdApi.Object
Describes a sponsored message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.MessageContent`
`content`
Content of the message.
`int`
`id`
Unique sponsored message identifier.
`TdApi.InternalLinkType`
`link`
An internal link to be opened when the sponsored message is clicked; may be null.
`long`
`sponsorChatId`
Chat identifier.

## Constructor Summary

Constructors
Constructor
Description
`SponsoredMessage()`
Describes a sponsored message.
`SponsoredMessage(int id, long sponsorChatId, TdApi.InternalLinkType link, TdApi.MessageContent content)`
Describes a sponsored message.
`SponsoredMessage(DataInput input)`
Describes a sponsored message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Unique sponsored message identifier.

### sponsorChatId

public long sponsorChatId
Chat identifier.

### link

public TdApi.InternalLinkType link
An internal link to be opened when the sponsored message is clicked; may be null. If null, the sponsor chat needs to be opened instead.

### content

public TdApi.MessageContent content
Content of the message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SponsoredMessage

public SponsoredMessage()
Describes a sponsored message.

### SponsoredMessage

public SponsoredMessage(int id, long sponsorChatId, TdApi.InternalLinkType link, TdApi.MessageContent content)
Describes a sponsored message.

Parameters:
  `id` - int Unique sponsored message identifier.
  `sponsorChatId` - long Chat identifier.
  `link` - InternalLinkType An internal link to be opened when the sponsored message is clicked; may be null. If null, the sponsor chat needs to be opened instead.
  `content` - MessageContent Content of the message.

### SponsoredMessage

public SponsoredMessage(DataInput input) throws IOException
Describes a sponsored message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`